#include <bits/stdc++.h>
using namespace std;
long long l=1,r,s,res;
int find_number(int MAX){
    r=MAX;
    while(l<=r){
        s=(r+l)/2;
        if(smaller(s)){
            r=s-1;
        }
        else{
            l=s+1;
            res=s;
        }
    }
    return res;
}
